Bug 6699 - Obsolete links to rhyolite.com in various dcc related files
Summary: Obsolete links to rhyolite.com in various dcc related files
Status: RESOLVED FIXED
Alias: None
Product: Spamassassin
Classification: Unclassified
Component: Plugins (show other bugs)
Version: 3.3.2
Hardware: All All
: P2 normal
Target Milestone: 3.4.0
Assignee: SpamAssassin Developer Mailing List
URL:
Whiteboard:
Keywords:
Depends on: 6698
Blocks:
  Show dependency tree
 
Reported: 2011-11-12 22:18 UTC by Sidney Markowitz
Modified: 2013-06-18 02:54 UTC (History)
4 users (show)



Attachment Type Modified Status Actions Submitter/CLA Status

Note You need to log in before you can comment on or make changes to this bug.
Description Sidney Markowitz 2011-11-12 22:18:39 UTC
rules/25_dcc.cf and translations contain links to rhyolite.com URLs that should be changed to current ones on dcc-servers.net. There may be other such references in perldoc in the code, so whoever looks at this should search to check.
Comment 1 Sidney Markowitz 2011-11-12 22:47:30 UTC
It appears that the correct URL for general reference to DCC is http://www.dcc-servers.net/dcc/ and that the places that need changing are in DCC.pm, spamassassin-run.pod, and in rules 25_dcc.cf 30_text_de.cf 30_text_fr.cf 30_text_nl.cf 30_text_pl.cf 30_text_pt_br.cf
Comment 2 Sidney Markowitz 2011-11-12 23:02:46 UTC
The rule files have been committed to trunk in  revision 1201349

DCC.pm will be extensively changed in bug 6698 anyway. So as not to interfere with the patch being done there I'm just making this bug dependent on that. Close this once bug 6698 is done.
Comment 3 Sidney Markowitz 2011-11-12 23:06:14 UTC
Almost forgot this one:

Sending        spamassassin-run.pod
Transmitting file data .
Committed revision 1201350.
Comment 4 Sidney Markowitz 2011-11-13 01:53:05 UTC
Bug 6698 hasn't been closed yet but the part that this bug is concerned with has been committed.
Comment 5 Vernon Schryver 2011-11-13 16:48:43 UTC
Would it be possible to change the URL in this line 
  describe DCC_CHECK Listed in DCC (http://www.dcc-servers.net/dcc/) 
to something like
  describe DCC_CHECK Listed in DCC (dcc-servers.net/dcc/) 
or even 
  describe DCC_CHECK Listed in DCC
or better still,
  describe DCC_CHECK Detected as bulk mail by DCC
  
The new version implies that instead of postmaster@rhyolite.com getting
complaints about 'spamvertising' from lusers with broken 'spam bouncers',
postmaster@dcc-servers.net will be blessed.  Since I read both
mailboxes, I don't see quite enough improvement in the new version.
It's fine to use valid URLs in documentation, but the
"Listed in DCC..." text is added to passing email visible
to people who don't understand.

Yes, there are indeed still irritating users with broken by design
tools that send idiotic reports based on headers added by their own ISPs
That SpamAssassin header line has been an irritant for many years, 
albeit decreasing as fewer people report spam and bad tools are replaced.

I suspect some of the stupid requests for "delisting from DCC" that I 
get via web contact pages have been provoked by the SpamAssassin header.
There's text on the contact web pages pointing out the foolishness 
of asking for DCC delisting given the nature of DCC.  But many 
'advertising professionals' don't care about minor technical details 
and will try anything.
Comment 6 Karsten Bräckelmann 2011-11-13 18:11:33 UTC
(In reply to comment #5)
> or better still,
>   describe DCC_CHECK Detected as bulk mail by DCC

+1  I'm in favor of "detected" rather than "listed", given the nature of DCC as Vernon pointed out.

Such a change to the description will cause the translations to go out of sync, though. I can handle German, but someone else needs to step up for the other languages:
  fr, nl, pl, pt_br

REOPENing.
Comment 7 Sidney Markowitz 2011-11-13 19:00:55 UTC
(In reply to comment #5)

I also like "detected" better than "listed". I do think that it would be better to include some hint for people who see this and have no idea what DCC is, as the top hits for a Google search of those three letters is not particularly enlightening. I apologize for misunderstanding the problem with the rhyolite.com URL: My Internet connection is through Vodafone NZ who have some sort of brain-damaged "transparent" web proxy that seems to block a random assortment of web sites unless I tunnel past it through a VPN to some other ISP. I thought that www.rhyolite.com was no longer in operation and you wanted to change the URL.

Assuming that people who want to find out what the DCC hit in their email means are smart enough to try a web search, I think this would do:

describe DCC_CHECK Detected as bulk mail by DCC (dcc-servers.net)
Comment 8 Vernon Schryver 2011-11-13 20:11:08 UTC
>         My Internet connection is through Vodafone NZ who have some
> sort of brain-damaged "transparent" web proxy that seems to block a random
> assortment of web sites 

That argues for https everywhere, but for the problems with the PKI
including corrupt CAs, too many CAs to trust, the cost of certs, and the
problems with self-signed certs and CAs. Some of those might someday 
be solved by DANE. https://encrypted.google.com/search?q=dane+pki
if registrars ever support DNSSEC.

>   I thought that www.rhyolite.com was no longer in operation and you wanted
> to change the URL.

For almost 10 years the official DCC site has been dcc-servers.net.  The
machines that have answered to dcc-servers.net have had >10 times the 
available bandwidth as www.rhyolite.com.  But the overwhelming majority 
of hyperlinks about DCC point to rhyolite.com.  Such is life.

>Assuming that people who want to find out what the DCC hit in their email means
> are smart enough to try a web search, I think this would do:
>
> describe DCC_CHECK Detected as bulk mail by DCC (dcc-servers.net)
 
that looks good to me.
Comment 9 Karsten Bräckelmann 2011-11-13 22:16:27 UTC
> describe DCC_CHECK Detected as bulk mail by DCC (dcc-servers.net)

German translation, 30_text_de.cf

  Als Massen-E-Mail erkannt von DCC (dcc-servers.net)

Feel free to propose different wording. I'm not used to such things being localized anywhere.
Comment 10 Sidney Markowitz 2011-11-13 23:47:59 UTC
I changed 25_dcc.cf, leaving the others for native speakers to either speak up here or commit it themselves.

Committed revision 1201551.
Comment 11 Jose Borges Ferreira 2011-11-14 00:05:07 UTC
Here is the pt_BR translation: 

lang pt_BR describe DCC_CHECK Classificado como spam pelo DCC (dcc-servers.net)
Comment 12 Sidney Markowitz 2011-11-14 00:46:07 UTC
(in reply to comment #11)

Jose, does "Classificado como spam" mean classified as spam? The English version is careful to say "Detected as bulk mail" not spam. DCC is only checking if the same mail is sent out many times (a mass mailing or bulk mail) not whether it is also spam.
Comment 13 Sidney Markowitz 2011-11-14 02:04:24 UTC
(in reply to comment #9)

Sending    30_text_de.cf
Transmitting file data .
Committed revision 1201573.
Comment 14 Jose Borges Ferreira 2011-11-14 11:54:32 UTC
(In reply to comment #12)
> (in reply to comment #11)
> 
> Jose, does "Classificado como spam" mean classified as spam? The English
> version is careful to say "Detected as bulk mail" not spam. DCC is only
> checking if the same mail is sent out many times (a mass mailing or bulk mail)
> not whether it is also spam.

Yes it does.
I had some doubts on how I could translate "bulk mail" and for coherence sake i checked with other rules in 30_text_pt_br.cf. In some, the word "spam" is used and in others (like RATWARE_* ) uses "email em massa". Although correct, "email em massa" is rarely used, if used at all.

If you feel that "spam" shouldn't be used, then use

lang pt_BR describe DCC_CHECK Classificado como email em massa pelo DCC (dcc-servers.net)

José Borges Ferreira
Comment 15 Sidney Markowitz 2011-11-14 18:52:44 UTC
(in reply to comment #14)

Sending   30_text_pt_br.cf
Transmitting file data .
Committed revision 1201823.
Comment 16 Mark Martinec 2011-11-14 19:19:24 UTC
> I changed 25_dcc.cf, leaving the others for native speakers to either speak up
> here or commit it themselves.
> Committed revision 1201551.

trunk:
  Bug 6699: Obsolete links to rhyolite.com in various dcc related files
  - adjust the test dcc.t accordingly
  Sending t/dcc.t
Committed revision 1201831.
Comment 17 Kevin A. McGrail 2013-06-18 02:54:11 UTC
Closing as resolved